Subject: bug#68824: treesitter support for outline-minor-mode

From: Juri Linkov <[email-masked]>
Date: Sun, 11 Feb 2024 19:34:51 +0200

>> >> The problem is that the Info node in the ELisp manual would be too small.
>> >> I have no idea what to write in that node more than 10 lines from the
>> >> docstring of 'outline-search-function'.
>> >
>> > Why does it have to be a separate node?  Why cannot we have a
>> > paragraph or two about this in "Tree-sitter Major Modes", for example,
>> > or in "Minor Modes"?
>> 
>> 'outline-search-function' is an internal detail of implementation
>> for 'treesit-outline-predicate'.  Here is the relevant part from the
>> previous patch that shows there is no place for 'outline-search-function:
>
> Then maybe just move the text about outline-search-function to the
> place where you describe treesit-outline-predicate?

'outline-search-function' is unsuitable for "Tree-sitter Major Modes".